org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class OrderTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.OrderTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.OrderTest.Traversals

- Enclosing class:
    OrderTest

      public static class OrderTest.Traversals
      extends OrderTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.OrderTest

      `OrderTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_asXaX_outXcreatedX_asXbX_order_byXshuffleX_selectXa_bX()`
    `Traversal<Vertex,Map<String,Object>>` | `get_g_V_asXvX_mapXbothE_weight_foldX_sumXlocalX_asXsX_selectXv_sX_order_byXselectXsX_descX()`
    `Traversal<Vertex,String>` | `get_g_V_both_hasLabelXpersonX_order_byXage_descX_limitX5X_name()`
    `Traversal<Vertex,String>` | `get_g_V_both_hasLabelXpersonX_order_byXage_descX_name()`
    `Traversal<Vertex,Map<String,List<Vertex>>>` | `get_g_V_group_byXlabelX_byXname_order_byXdescX_foldX()`
    `Traversal<Vertex,List<Vertex>>` | `get_g_V_hasLabelXpersonX_fold_orderXlocalX_byXageX()`
    `Traversal<Vertex,Map<String,Number>>` | `get_g_V_hasLabelXpersonX_group_byXnameX_byXoutE_weight_sumX_orderXlocalX_byXvaluesX()`
    `Traversal<Vertex,Map.Entry<String,Number>>` | `get_g_V_hasLabelXpersonX_group_byXnameX_byXoutE_weight_sumX_unfold_order_byXvalues_descX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasLabelXpersonX_order_byXageX()`
    `Traversal<Vertex,String>` | `get_g_V_hasLabelXpersonX_order_byXvalueXageX_descX_name()`
    `Traversal<Vertex,String>` | `get_g_V_hasLabelXsongX_order_byXperformances_descX_byXnameX_rangeX110_120X_name()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasXsong_name_OHBOYX_outXfollowedByX_outXfollowedByX_order_byXperformancesX_byXsongType_descX()`
    `Traversal<Vertex,List<Double>>` | `get_g_V_mapXbothE_weight_foldX_order_byXsumXlocalX_descX()`
    `Traversal<Vertex,String>` | `get_g_V_name_order_byXa1_b1X_byXb2_a2X()`
    `Traversal<Vertex,String>` | `get_g_V_name_order()`
    `Traversal<Vertex,String>` | `get_g_V_order_byXname_a1_b1X_byXname_b2_a2X_name()`
    `Traversal<Vertex,String>` | `get_g_V_order_byXname_ascX_name()`
    `Traversal<Vertex,String>` | `get_g_V_order_byXname_incrX_name()`
    `Traversal<Vertex,String>` | `get_g_V_order_byXnameX_name()`
    `Traversal<Vertex,Vertex>` | `get_g_V_order_byXoutE_count_descX()`
    `Traversal<Vertex,Double>` | `get_g_V_outE_order_byXweight_decrX_weight()`
    `Traversal<Vertex,Double>` | `get_g_V_outE_order_byXweight_descX_weight()`
    `Traversal<Vertex,String>` | `get_g_V_properties_order_byXkey_descX_key()`
    `Traversal<Vertex,Map.Entry<Object,Object>>` | `get_g_VX1X_elementMap_orderXlocalX_byXkeys_descXunfold(Object v1Id)`
    `Traversal<Vertex,Map<Integer,Integer>>` | `get_g_VX1X_hasXlabel_personX_mapXmapXint_ageXX_orderXlocalX_byXvalues_descX_byXkeys_ascX(Object v1Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.OrderTest

      `g_V_asXaX_outXcreatedX_asXbX_order_byXshuffleX_selectXa_bX, g_V_asXvX_mapXbothE_weight_foldX_sumXlocalX_asXsX_selectXv_sX_order_byXselectXsX_descX, g_V_both_hasLabelXpersonX_order_byXage_descX_limitX5X_name, g_V_both_hasLabelXpersonX_order_byXage_descX_name, g_V_group_byXlabelX_byXname_order_byXdescX_foldX, g_V_hasLabelXpersonX_fold_orderXlocalX_byXageX, g_V_hasLabelXpersonX_group_byXnameX_byXoutE_weight_sumX_orderXlocalX_byXvaluesX, g_V_hasLabelXpersonX_group_byXnameX_byXoutE_weight_sumX_unfold_order_byXvalues_descX, g_V_hasLabelXpersonX_order_byXageX, g_V_hasLabelXpersonX_order_byXvalueXageX_descX_name, g_V_hasLabelXsongX_order_byXperformances_descX_byXnameX_rangeX110_120X_name, g_V_hasXsong_name_OHBOYX_outXfollowedByX_outXfollowedByX_order_byXperformancesX_byXsongType_descX, g_V_mapXbothE_weight_foldX_order_byXsumXlocalX_descX, g_V_name_order_byXa1_b1X_byXb2_a2X, g_V_name_order, g_V_order_byXname_a1_b1X_byXname_b2_a2X_name, g_V_order_byXname_ascX_name, g_V_order_byXname_incrX_name, g_V_order_byXnameX_name, g_V_order_byXoutE_count_descX, g_V_outE_order_byXweight_decrX_weight, g_V_outE_order_byXweight_descX_weight, g_V_properties_order_byXkey_descX_key, g_VX1X_elementMap_orderXlocalX_byXkeys_descXunfold, g_VX1X_hasXlabel_personX_mapXmapXint_ageXX_orderXlocalX_byXvalues_descX_byXkeys_ascX, getKey`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_name_order

          public Traversal<Vertex,String> get_g_V_name_order()

      Specified by:
        `get_g_V_name_order` in class `OrderTest`

    - #### get_g_V_name_order_byXa1_b1X_byXb2_a2X

          public Traversal<Vertex,String> get_g_V_name_order_byXa1_b1X_byXb2_a2X()

      Specified by:
        `get_g_V_name_order_byXa1_b1X_byXb2_a2X` in class `OrderTest`

    - #### get_g_V_order_byXname_incrX_name

          public Traversal<Vertex,String> get_g_V_order_byXname_incrX_name()

      Specified by:
        `get_g_V_order_byXname_incrX_name` in class `OrderTest`

    - #### get_g_V_order_byXname_ascX_name

          public Traversal<Vertex,String> get_g_V_order_byXname_ascX_name()

      Specified by:
        `get_g_V_order_byXname_ascX_name` in class `OrderTest`

    - #### get_g_V_order_byXnameX_name

          public Traversal<Vertex,String> get_g_V_order_byXnameX_name()

      Specified by:
        `get_g_V_order_byXnameX_name` in class `OrderTest`

    - #### get_g_V_outE_order_byXweight_decrX_weight

          public Traversal<Vertex,Double> get_g_V_outE_order_byXweight_decrX_weight()

      Specified by:
        `get_g_V_outE_order_byXweight_decrX_weight` in class `OrderTest`

    - #### get_g_V_outE_order_byXweight_descX_weight

          public Traversal<Vertex,Double> get_g_V_outE_order_byXweight_descX_weight()

      Specified by:
        `get_g_V_outE_order_byXweight_descX_weight` in class `OrderTest`

    - #### get_g_V_order_byXname_a1_b1X_byXname_b2_a2X_name

          public Traversal<Vertex,String> get_g_V_order_byXname_a1_b1X_byXname_b2_a2X_name()

      Specified by:
        `get_g_V_order_byXname_a1_b1X_byXname_b2_a2X_name` in class `OrderTest`

    - #### get_g_V_asXaX_outXcreatedX_asXbX_order_byXshuffleX_selectXa_bX

          public Traversal<Vertex,Map<String,Vertex>> get_g_V_asXaX_outXcreatedX_asXbX_order_byXshuffleX_selectXa_bX()

      Specified by:
        `get_g_V_asXaX_outXcreatedX_asXbX_order_byXshuffleX_selectXa_bX` in class `OrderTest`

    - #### get_g_VX1X_hasXlabel_personX_mapXmapXint_ageXX_orderXlocalX_byXvalues_descX_byXkeys_ascX

          public Traversal<Vertex,Map<Integer,Integer>> get_g_VX1X_hasXlabel_personX_mapXmapXint_ageXX_orderXlocalX_byXvalues_descX_byXkeys_ascX(Object v1Id)

      Specified by:
        `get_g_VX1X_hasXlabel_personX_mapXmapXint_ageXX_orderXlocalX_byXvalues_descX_byXkeys_ascX` in class `OrderTest`

    - #### get_g_V_order_byXoutE_count_descX

          public Traversal<Vertex,Vertex> get_g_V_order_byXoutE_count_descX()

      Specified by:
        `get_g_V_order_byXoutE_count_descX` in class `OrderTest`

    - #### get_g_V_group_byXlabelX_byXname_order_byXdescX_foldX

          public Traversal<Vertex,Map<String,List<Vertex>>> get_g_V_group_byXlabelX_byXname_order_byXdescX_foldX()

      Specified by:
        `get_g_V_group_byXlabelX_byXname_order_byXdescX_foldX` in class `OrderTest`

    - #### get_g_V_mapXbothE_weight_foldX_order_byXsumXlocalX_descX

          public Traversal<Vertex,List<Double>> get_g_V_mapXbothE_weight_foldX_order_byXsumXlocalX_descX()

      Specified by:
        `get_g_V_mapXbothE_weight_foldX_order_byXsumXlocalX_descX` in class `OrderTest`

    - #### get_g_V_asXvX_mapXbothE_weight_foldX_sumXlocalX_asXsX_selectXv_sX_order_byXselectXsX_descX

          public Traversal<Vertex,Map<String,Object>> get_g_V_asXvX_mapXbothE_weight_foldX_sumXlocalX_asXsX_selectXv_sX_order_byXselectXsX_descX()

      Specified by:
        `get_g_V_asXvX_mapXbothE_weight_foldX_sumXlocalX_asXsX_selectXv_sX_order_byXselectXsX_descX` in class `OrderTest`

    - #### get_g_V_hasLabelXpersonX_order_byXageX

          public Traversal<Vertex,Vertex> get_g_V_hasLabelXpersonX_order_byXageX()

      Specified by:
        `get_g_V_hasLabelXpersonX_order_byXageX` in class `OrderTest`

    - #### get_g_V_hasLabelXpersonX_fold_orderXlocalX_byXageX

          public Traversal<Vertex,List<Vertex>> get_g_V_hasLabelXpersonX_fold_orderXlocalX_byXageX()

      Specified by:
        `get_g_V_hasLabelXpersonX_fold_orderXlocalX_byXageX` in class `OrderTest`

    - #### get_g_V_hasLabelXpersonX_order_byXvalueXageX_descX_name

          public Traversal<Vertex,String> get_g_V_hasLabelXpersonX_order_byXvalueXageX_descX_name()

      Specified by:
        `get_g_V_hasLabelXpersonX_order_byXvalueXageX_descX_name` in class `OrderTest`

    - #### get_g_V_properties_order_byXkey_descX_key

          public Traversal<Vertex,String> get_g_V_properties_order_byXkey_descX_key()

      Specified by:
        `get_g_V_properties_order_byXkey_descX_key` in class `OrderTest`

    - #### get_g_V_hasXsong_name_OHBOYX_outXfollowedByX_outXfollowedByX_order_byXperformancesX_byXsongType_descX

          public Traversal<Vertex,Vertex> get_g_V_hasXsong_name_OHBOYX_outXfollowedByX_outXfollowedByX_order_byXperformancesX_byXsongType_descX()

      Specified by:
        `get_g_V_hasXsong_name_OHBOYX_outXfollowedByX_outXfollowedByX_order_byXperformancesX_byXsongType_descX` in class `OrderTest`

    - #### get_g_V_both_hasLabelXpersonX_order_byXage_descX_limitX5X_name

          public Traversal<Vertex,String> get_g_V_both_hasLabelXpersonX_order_byXage_descX_limitX5X_name()

      Specified by:
        `get_g_V_both_hasLabelXpersonX_order_byXage_descX_limitX5X_name` in class `OrderTest`

    - #### get_g_V_both_hasLabelXpersonX_order_byXage_descX_name

          public Traversal<Vertex,String> get_g_V_both_hasLabelXpersonX_order_byXage_descX_name()

      Specified by:
        `get_g_V_both_hasLabelXpersonX_order_byXage_descX_name` in class `OrderTest`

    - #### get_g_V_hasLabelXsongX_order_byXperformances_descX_byXnameX_rangeX110_120X_name

          public Traversal<Vertex,String> get_g_V_hasLabelXsongX_order_byXperformances_descX_byXnameX_rangeX110_120X_name()

      Specified by:
        `get_g_V_hasLabelXsongX_order_byXperformances_descX_byXnameX_rangeX110_120X_name` in class `OrderTest`

    - #### get_g_V_hasLabelXpersonX_group_byXnameX_byXoutE_weight_sumX_orderXlocalX_byXvaluesX

          public Traversal<Vertex,Map<String,Number>> get_g_V_hasLabelXpersonX_group_byXnameX_byXoutE_weight_sumX_orderXlocalX_byXvaluesX()

      Specified by:
        `get_g_V_hasLabelXpersonX_group_byXnameX_byXoutE_weight_sumX_orderXlocalX_byXvaluesX` in class `OrderTest`

    - #### get_g_V_hasLabelXpersonX_group_byXnameX_byXoutE_weight_sumX_unfold_order_byXvalues_descX

          public Traversal<Vertex,Map.Entry<String,Number>> get_g_V_hasLabelXpersonX_group_byXnameX_byXoutE_weight_sumX_unfold_order_byXvalues_descX()

      Specified by:
        `get_g_V_hasLabelXpersonX_group_byXnameX_byXoutE_weight_sumX_unfold_order_byXvalues_descX` in class `OrderTest`

    - #### get_g_VX1X_elementMap_orderXlocalX_byXkeys_descXunfold

          public Traversal<Vertex,Map.Entry<Object,Object>> get_g_VX1X_elementMap_orderXlocalX_byXkeys_descXunfold(Object v1Id)

      Specified by:
        `get_g_VX1X_elementMap_orderXlocalX_byXkeys_descXunfold` in class `OrderTest`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.